Debian Bug report logs - #624610
ITP: capybara -- Intelligent testing tool for web based rack applications

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nishchay Mhatre <NishchayMhatre@gmail.com>

Date: Sat, 30 Apr 2011 05:51:05 UTC

Owned by: Praveen Arimbrathodiyil <praveen@debian.org>

Severity: wishlist

Fixed in version ruby-capybara/2.0.2-1

Done: Jérémy Bobbio <lunar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#624610; Package wnpp. (Sat, 30 Apr 2011 05:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nishchay Mhatre <NishchayMhatre@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 30 Apr 2011 05:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nishchay Mhatre <NishchayMhatre@gmail.com>
To: submit <submit@bugs.debian.org>
Subject: ITP:capybara -- Intelligent testing tool for web based rack applications.
Date: Sat, 30 Apr 2011 11:17:45 +0530
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

-- 
~~Jai Hind~~
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: capybara -- Intelligent testing tool for web based rack applications' from 'ITP:capybara -- Intelligent testing tool for web based rack applications.' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Fri, 08 Jul 2011 13:39:08 GMT) Full text and rfc822 format available.

Owner recorded as Nishchay Mhatre <NishchayMhatre@gmail.com>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 22:21:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 624610: 695484 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Fri, 08 Mar 2013 14:27:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nishchay Mhatre <NishchayMhatre@gmail.com>:
Bug#624610; Package wnpp. (Tue, 19 Mar 2013 16:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nishchay Mhatre <NishchayMhatre@gmail.com>. (Tue, 19 Mar 2013 16:42:04 GMT) Full text and rfc822 format available.

Message #16 received at 624610@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: 624610@bugs.debian.org
Cc: Nishchay Mhatre <nishchaymhatre@gmail.com>
Subject: are you still working on this?
Date: Tue, 19 Mar 2013 22:09:44 +0530
Hi Nishchay,

Are you still interested in packaging this gem (capybara)?

Thanks
Praveen



Owner changed from Nishchay Mhatre <NishchayMhatre@gmail.com> to Praveen Arimbrathodiyil <praveen@debian.org>. Request was from Praveen A <praveen@debian.org> to control@bugs.debian.org. (Wed, 20 Mar 2013 06:12:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 624610: 703492 Request was from Praveen A <praveen@debian.org> to control@bugs.debian.org. (Wed, 20 Mar 2013 10:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#624610; Package wnpp. (Fri, 22 Mar 2013 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Fri, 22 Mar 2013 10:45:04 GMT) Full text and rfc822 format available.

Message #25 received at 624610@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 624610@bugs.debian.org
Subject: Re: cabybara need selenium-webdriver
Date: Fri, 22 Mar 2013 11:34:27 +0100
[Message part 1 (text/plain, inline)]
Hi!

Praveen A:
> block 624610 by 703492

I took a shot to see if we could patch out Selenium::WebDriver support
from Capybara to get a Debian package before Selenium is done.

The result looks ok and appears to work for applications that can be
tested using the :rack_test driver.

See <git://git.debian.org/pkg-ruby-extras/ruby-capybara.git>
and <http://git.debian.org/?p=pkg-ruby-extras/ruby-capybara.git;a=summary>.

I welcome your opinion and review. :)

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#624610; Package wnpp. (Fri, 22 Mar 2013 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Fri, 22 Mar 2013 15:24:04 GMT) Full text and rfc822 format available.

Message #30 received at 624610@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: Jérémy Bobbio <lunar@debian.org>, 624610@bugs.debian.org
Subject: Re: Bug#624610: cabybara need selenium-webdriver
Date: Fri, 22 Mar 2013 20:52:14 +0530
2013/3/22 Jérémy Bobbio <lunar@debian.org>:
> Hi!
>
> Praveen A:
>> block 624610 by 703492
>
> I took a shot to see if we could patch out Selenium::WebDriver support
> from Capybara to get a Debian package before Selenium is done.
>
> The result looks ok and appears to work for applications that can be
> tested using the :rack_test driver.
>
> See <git://git.debian.org/pkg-ruby-extras/ruby-capybara.git>
> and <http://git.debian.org/?p=pkg-ruby-extras/ruby-capybara.git;a=summary>.
>
> I welcome your opinion and review. :)

Thanks! Looks good to me (I'm not much into ruby world, my main
motivation to see diaspora packaged).

I made a few changes to make it 3.9.4 compatible. Feel free to upload
when you feel ready.

As for selenium, I'll pause for the moment, if you are interested you
can try packaging selenium.

Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Removed blocking bug(s) of 624610: 703492 Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Mon, 25 Mar 2013 09:39:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Mar 2013 19:06:13 GMT) Full text and rfc822 format available.

Added indication that bug 624610 blocks 704612 Request was from Jérémy Bobbio <lunar@debian.org> to submit@bugs.debian.org. (Wed, 03 Apr 2013 14:54:18 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Bobbio <lunar@debian.org>:
You have taken responsibility. (Fri, 19 Apr 2013 12:03:11 GMT) Full text and rfc822 format available.

Notification sent to Nishchay Mhatre <NishchayMhatre@gmail.com>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 12:03:11 GMT) Full text and rfc822 format available.

Message #41 received at 624610-close@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 624610-close@bugs.debian.org
Subject: Bug#624610: fixed in ruby-capybara 2.0.2-1
Date: Fri, 19 Apr 2013 12:00:07 +0000
Source: ruby-capybara
Source-Version: 2.0.2-1

We believe that the bug you reported is fixed in the latest version of
ruby-capybara, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624610@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Bobbio <lunar@debian.org> (supplier of updated ruby-capybara package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 17 Apr 2013 11:13:05 +0200
Source: ruby-capybara
Binary: ruby-capybara
Architecture: source all
Version: 2.0.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Jérémy Bobbio <lunar@debian.org>
Description: 
 ruby-capybara - integration testing tool for Rack based web applications
Closes: 624610
Changes: 
 ruby-capybara (2.0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #624610)
Checksums-Sha1: 
 6dc111448b3109566003447dda02e76ce5b77a83 2166 ruby-capybara_2.0.2-1.dsc
 2e4e44bc265f3c98f77150ff507e81959e342f72 75964 ruby-capybara_2.0.2.orig.tar.gz
 5ec9354533105ab6e03eeaffca5273c5267d2d1f 4014 ruby-capybara_2.0.2-1.debian.tar.gz
 9e3ccbfb0325b10a5c8be491ed0f2769cc2a8b12 74262 ruby-capybara_2.0.2-1_all.deb
Checksums-Sha256: 
 2e1201dbadbc9dd9112e1ad0ba20302b579792a1c51e376a7872594179f0f21b 2166 ruby-capybara_2.0.2-1.dsc
 d9f774e6a83d4df210ada57783c55ff6ebbcf996b5947cc52df673eaf551a45f 75964 ruby-capybara_2.0.2.orig.tar.gz
 330cbbd6e4feea70f57577306720fc7e70bd8a42fbb5d461a144d3169050fc52 4014 ruby-capybara_2.0.2-1.debian.tar.gz
 b71b6a1403a0f0798d66c1030d6bf339d0cab5543917e9f6cc859e5fc9f70d63 74262 ruby-capybara_2.0.2-1_all.deb
Files: 
 9ee379470f4271472f54a411244114b4 2166 ruby optional ruby-capybara_2.0.2-1.dsc
 f7978d52e87fd8b8336b7f7365285a52 75964 ruby optional ruby-capybara_2.0.2.orig.tar.gz
 a07df6c876e7d3e190bdf0fa3b921ac2 4014 ruby optional ruby-capybara_2.0.2-1.debian.tar.gz
 18a38bcc165d46938cb2bbd04ab8aa5d 74262 ruby optional ruby-capybara_2.0.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRbmhpAAoJEEgU3sIrMHw8+cIP/RsJX7isbAhVprKE38pqNSwa
98f+U5JNBKxc51UTMu2s+JN4tgV14OiWKpyAHMqP0Skpqq3TuY7tqNU+box3tTqm
OF7frCpeM/YcghnBZAYzqIzFBSw9NI1oyGAXzsizC9bXRHKMItMo9IAum4wd/3oS
YwjaxJD+FIwZWOWsq82mra2HP8ZsU4R+jD/KU6eNAkMknmMGkdn/gkVzoRRT3laT
UU0Do/1b5l4q0E73XfMx5ZT6kobhg5/gAxiYEfAMRvv3S6oREcRyc8hcs10jwWba
/vs4QVMLsqc09QI/EP01WiZA46KI+AA14t7ZP4K8ZtW0nmcZiuxQiIk0jqRJmHgC
n4TbXMedFsD0b7rVqHXpVABVQVY8NJxfQvtCbGAfzMgLV7DUnzuJuo1HTvuRsVEX
QaddI+0WxPJHLdaJ4aKZx9ls5SR7EU3leokQu+E5eSZCF/+ghLjwGA9+hEQNJ8o1
2cFJk/P1KolK75+fndcdPaBZxUfo77vD8j545U7xPU1eu39Nw1qc/FMHcgudQKDa
kb4eQUAeLnifWm31r48yWjjMAU3/JOM//XuWXQnnhE1TTEicW7/1u6GgWgeYcNYJ
I3ozUXjJVmg9owYyg4MNLL8Ez7j0f0icVxUHfNS/KFU3qjZKoZiVmn6i+aiHT5iM
R0G9Gxy2HFgFRxWfE9Nm
=U2LP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:26:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:14:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.